﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[ACCARD]') AND name = N'XACCARD1')
BEGIN 
PRINT 'Creating index XACCARD1 on table ACCARD'
CREATE UNIQUE NONCLUSTERED INDEX [XACCARD1] ON [dbo].[ACCARD] 
(
	[ALPH] ASC,
	[NUMB] ASC,
	[CARD] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'ACCARD' AND COLUMN_NAME = 'DSTP' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_ACCARD_DSTP')
BEGIN 
    PRINT 'Creating default constraint DF_ACCARD_DSTP on table ACCARD' 
    ALTER TABLE [dbo].[ACCARD]
    ADD CONSTRAINT [DF_ACCARD_DSTP] DEFAULT ((0)) FOR [DSTP]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'ACCARD' AND COLUMN_NAME = 'URCS' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_ACCARD_URCS')
BEGIN 
    PRINT 'Creating default constraint DF_ACCARD_URCS on table ACCARD' 
    ALTER TABLE [dbo].[ACCARD]
    ADD CONSTRAINT [DF_ACCARD_URCS] DEFAULT ((0)) FOR [URCS]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'ACCARD' AND COLUMN_NAME = 'DELC' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_ACCARD_DELC')
BEGIN 
    PRINT 'Creating default constraint DF_ACCARD_DELC on table ACCARD' 
    ALTER TABLE [dbo].[ACCARD]
    ADD CONSTRAINT [DF_ACCARD_DELC] DEFAULT ((0)) FOR [DELC]
END 
GO

